## org.apache.batik.apps.rasterizer
Interface SVGConverterSource

All Known Implementing Classes:
  SVGConverterFileSource, SVGConverterURLSource

public interface SVGConverterSource

Interface used to handle both Files and URLs in the `SVGConverter`

Method Summary
`java.lang.String` `getName()` Returns the name of the source.
`java.lang.String` `getURI()` Returns a URI string corresponding to this source
`boolean` `isReadable()` Checks if source can be read
`boolean` `isSameAs(java.lang.String srcStr)` Checks if same as source described by srcStr
`java.io.InputStream` `openStream()` Gets a `TranscoderInput` for that source

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the source. That would be the name for a File or URL

### openStream

    public java.io.InputStream openStream()
                                   throws java.io.IOException

  Gets a `TranscoderInput` for that source

  Throws:
    `java.io.IOException`

### isSameAs

    public boolean isSameAs(java.lang.String srcStr)

  Checks if same as source described by srcStr

### isReadable

    public boolean isReadable()

  Checks if source can be read

### getURI

    public java.lang.String getURI()

  Returns a URI string corresponding to this source

Copyright © 2004 Apache Software Foundation. All Rights Reserved.